Skip to main content
PATCH
/
v1alpha1
/
inference
/
gateways
/
{id}
Update a gateway
curl --request PATCH \
  --url https://api.example.com/v1alpha1/inference/gateways/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "zones": [
    "<string>"
  ],
  "coreWeaveAuth": {},
  "weightsAndBiasesAuth": {
    "apiKey": "<string>",
    "serverUrl": "<string>",
    "enableUsageReports": true,
    "enableRateLimiting": true
  },
  "endpointConfiguration": {
    "additionalDns": [
      "<string>"
    ]
  },
  "pathBasedRouting": {}
}
'
{
  "gateway": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "zones": [
        "<string>"
      ],
      "coreWeaveAuth": {},
      "weightsAndBiasesAuth": {
        "apiKey": "<string>",
        "serverUrl": "<string>",
        "enableUsageReports": true,
        "enableRateLimiting": true
      },
      "organizationId": "<string>",
      "endpointConfiguration": {
        "additionalDns": [
          "<string>"
        ]
      },
      "bodyBasedRouting": {
        "apiType": 123
      },
      "headerBasedRouting": {
        "headerName": "<string>"
      },
      "pathBasedRouting": {}
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": 123,
      "conditions": [
        {
          "type": "<string>",
          "status": 123,
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>"
        }
      ],
      "endpoints": [
        "<string>"
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The unique identifier of the gateway to update, UUID format

Body

application/json

Request for UpdateGateway

id
string
required

The unique identifier of the gateway to update, UUID format

name
string
required

The human readable name of the gateway

zones
string[]
required

The zones to make the gateway available in, limits where deployments associated with the gateway may exist, no zones means all may be used

coreWeaveAuth
object

CoreWeave IAM

weightsAndBiasesAuth
object

Weights & Biases

endpointConfiguration
object

Additional endpoint configuration options

bodyBasedRouting
object

Body based routing

headerBasedRouting
object

Header based routing

pathBasedRouting
object

Path based routing

Response

OK

Response for UpdateGateway

gateway
object

The updated gateway

Last modified on May 6, 2026